Bug 796218 - Better magic pattern for Python scripts detection
Better magic pattern for Python scripts detection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 09:06 EST by Jan Kaluža
Modified: 2015-02-18 08:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (534 bytes, patch)
2012-02-22 09:06 EST, Jan Kaluža
no flags Details | Diff

  None (edit)
Description Jan Kaluža 2012-02-22 09:06:07 EST
Created attachment 564981 [details]
proposed patch

Description of problem:

File sometimes detects Python source code like this:
"Python script, ASCII text executable, with CRLF line terminators"

The regular expression for Python detection doesn't count with that and doesn't detect Python file properly in this case.

Attached patch fixes the problem.

I think it would be the best to use mime-type based detection in the future. However, File does not contain proper mime-type definition for Perl scripts, but I will work with upstream to fix it.
Comment 1 Fedora Admin XMLRPC Client 2012-04-13 19:07:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-04-13 19:11:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Panu Matilainen 2012-05-07 08:53:15 EDT
Yup... and its not just the trailing part either, sometimes libmagic returns "a python ..." text which wont get caught by these rules either. Fixed upstream by removing both ^ and $ restrictions which should cure these issues, Fedora updates to follow later.

Oh and yes, mime types would be much saner for many cases, but unfortunately it seems even more unreliable than the current string-matching madness. Also at least for ELF files, rpm needs more data than the mime type provides.
Comment 4 Fedora End Of Life 2013-04-03 15:37:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 16:56:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 08:41:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.